SlimResource

Groups the Slim care-home routes (/v1/slim) by resource.

  • Stable unknown
  • Release candidate since 0.1.0-rc.4
  • Development since 0.1.0-dev.24+fa54770
public final class SlimResource

Groups the Slim care-home routes (/v1/slim) by resource. Get it from Ovok.slim().

Methods

patients

public PatientsResource patients()

Returns the Slim patient routes.

Returns: the patients resource

devices

public DevicesResource devices()

Returns the Slim device routes.

Returns: the devices resource

notifications

public NotificationsResource notifications()

Returns the Slim notification routes.

Returns: the notifications resource

thresholds

public ThresholdsResource thresholds()

Returns the Slim threshold routes.

Returns: the thresholds resource

public TrendsResource trends()

Returns the Slim trend routes.

Returns: the trends resource

sleep

public SleepResource sleep()

Returns the Slim sleep routes.

Returns: the sleep resource

locations

public LocationsResource locations()

Returns the Slim location routes.

Returns: the locations resource

zones

public ZonesResource zones()

Returns the Slim zone routes.

Returns: the zones resource

exports

public ExportsResource exports()

Returns the Slim export routes.

Returns: the exports resource

changeHistory

public ChangeHistoryResource changeHistory()

Returns the Slim change-history routes.

Returns: the change-history resource

projects

public SlimProjectsResource projects()

Returns the Slim project routes.

Returns: the projects resource

policies

public PoliciesResource policies()

Returns the Slim access-policy routes.

Returns: the policies resource

organizations

public OrganizationsResource organizations()

Returns the Slim organization routes.

Returns: the organizations resource

practitioners

public PractitionersResource practitioners()

Returns the Slim practitioner routes.

Returns: the practitioners resource

users

public UsersResource users()

Returns the Slim user routes.

Returns: the users resource

health

public JsonNode health() throws IOException, InterruptedException

Checks that the Slim API is up (GET /v1/slim/health).

Returns: the health status

Throws:

  • IOException: if the request cannot be sent or the response cannot be read
  • InterruptedException: if the thread is interrupted while waiting for the response
public JsonNode health(RequestOptions options) throws IOException, InterruptedException

Checks that the Slim API is up (GET /v1/slim/health).

Parameters:

  • options: per-request options, such as the timeout

Returns: the health status

Throws:

  • IOException: if the request cannot be sent or the response cannot be read
  • InterruptedException: if the thread is interrupted while waiting for the response

Last updated on

On this page